import request from '@/utils/request'

// 查询用户单位管理列表
export function listUnit(query) {
  return request({
    url: '/invoice/unit/list',
    method: 'get',
    params: query
  })
}
export function getAllUserUnit(query) {
  return request({
    url: '/invoice/unit/getAllUserUnit',
    method: 'get',
    params: query
  })
}

// 查询用户单位管理详细
export function getUnit(id) {
  return request({
    url: '/invoice/unit/' + id,
    method: 'get'
  })
}

// 查询用户单位二级下拉框
export function getUserByUnit(unit) {
  return request({
    url: '/invoice/unit/getUserByUnit',
    method: 'get',
    params: {unit: unit}
  })
}

// 新增用户单位管理
export function addUnit(data) {
  return request({
    url: '/invoice/unit',
    method: 'post',
    data: data
  })
}

// 修改用户单位管理
export function updateUnit(data) {
  return request({
    url: '/invoice/unit',
    method: 'put',
    data: data
  })
}

// 删除用户单位管理
export function delUnit(id) {
  return request({
    url: '/invoice/unit/' + id,
    method: 'delete'
  })
}

// 导出用户单位管理
export function exportUnit(query) {
  return request({
    url: '/invoice/unit/export',
    method: 'get',
    params: query
  })
}
